---
updatedAt: 2025-09-24T00:05:34.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Refresh an item

> 📘 User resource
>
> This resource is only accessible when a user is logged in.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/items/{id}/refresh": {
      "post": {
        "summary": "Refresh an item",
        "description": "",
        "operationId": "refresh-an-item",
        "parameters": [
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Item id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          }
        ],
        "responses": {
          "202": {
            "description": "202",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Location: /v2/123456/refresh/status"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/items/123456/refresh' \\\n\t-X POST \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```